Error: SSL peer presented an invalid certificate | running on ARM-ubuntu-11.10

Roy Samuel (RBEI/ECG4) Roy.Samuel at in.bosch.com
Mon Jun 11 04:30:38 EDT 2012


I have installed the ca-certificates package (updated it to the newest one in the Ubuntu repository for Ubuntu 11.10). Also

Also tried copying the contents of "~/.purple/certificates/x509/tls_peers/", from the properly working x86 machine to the target system.

This yielded the same error also.

Any help in resolving this issue would be highly appreciated.

Regards,
Roy

-----Original Message-----
From: support-bounces at pidgin.im [mailto:support-bounces at pidgin.im] On Behalf Of Roy Samuel (RBEI/ECG4)
Sent: Friday, June 08, 2012 5:10 PM
To: support at pidgin.im
Subject: Error: SSL peer presented an invalid certificate | running on ARM-ubuntu-11.10

Hi all,

I am using libpurple (1:2.10.0-0ubuntu2) for developing a chat application. Everything works fine on x86 processor (Desktop - Ubuntu 11.10)

However, the same chat application (after cross-compilation) when run on the ARM (iMx Freescale based on Ubuntu 11.10) processor shows error :

"SSL peer presented an invalid certificate", while logging in.

All the packages seems to be present for the ARM target just like in the x86 machine. (including gnutls dev package, as mentioned in FAQ).

Am I missing something else?

Any help would be appreciated :)

Regards,
Roy

_______________________________________________
Support at pidgin.im mailing list
Want to unsubscribe?  Use this link:
http://pidgin.im/cgi-bin/mailman/listinfo/support



More information about the Support mailing list